;Leased line client with CCP, NAT and three filters
;
;   This is sample configuration file for sfppp
;
;   Advanced client version for lan leased line access
;   Includes CCP, NAT and three filters.
;
;   CCP is compression. It will make your browsing
;   much faster if your provider support this feature
;
;   NAT is name address translation.
;   It allows your lan to access internet using 1
;   dial-up provider connection
;
;   Please change this file to include:
;       Your username and password (if needed)
;           client.clientname=
;           client.clientpass=
;   Also You can alter 'port.name' and 'port.speed' lines
;       to specify the com port name and speed your modem connected to
;
;       NAT and filters are disabled by default to enable it uncomment
;       "enabled=" line in [nat] and [filter] section of this file.
;       Note: Default action for packet filter is to disable everything.
;             You MUST configure filters before enabling it
;       There are 3 filters in this configuration:
;           [filter] Normal filter used to filter packets
;           [dodfilter] Filter that can limit type of packets
;               that can trigger DOD
;           [natfilter] Filter that works with NAT-translated packets
;
;   To use this file enter:
;       [C:\SFPPP]sfppp -Ccl_full.cfg

!include "default.cfg"

[ppp]
@include "cl_ppp"

port.name=com1
port.speed=38400

auth.client.clientname=ENTER YOUR USER NAME HERE
auth.client.clientpass=ENTER YOUR PASSWORD HERE


[nat]
enabled=yes

[filter]
;enabled=yes

[dodfilter]
;enabled=yes

[natfilter]
;enabled=yes

;Please do not alter following lines
[ppp]
bind=io:ccp.compressed
port.dtr=0
port.script.mode=SLATTACH

[ccp]
bind=data:natfilter.port

[nat]
bind=stack:filter.port

[filter]
bind=stack:cl_pppstack.io

[plugman]
message.hook=dnshook.cmd

;TYPE:new
;TYPE:lgs_v1
;TYPE:pppclient
;TYPE:serialppp

